#!/bin/sh
#shellcheck disable=SC2034

#
# Color definitions
#
# Color names are usual color names on 16-color terminal,
# except for 'none', which turns off color.
#
TERMCOLORS_BLACK="\033[0;30m"
TERMCOLORS_RED="\033[0;31m"
TERMCOLORS_GREEN="\033[0;32m"
TERMCOLORS_YELLOW="\033[0;33m"
TERMCOLORS_BLUE="\033[0;34m"
TERMCOLORS_MAGENTA="\033[0;35m"
TERMCOLORS_CYAN="\033[0;36m"
TERMCOLORS_WHITE="\033[0;37m"
TERMCOLORS_LBLACK="\033[1;30m"
TERMCOLORS_LRED="\033[1;31m"
TERMCOLORS_LGREEN="\033[1;32m"
TERMCOLORS_LYELLOW="\033[1;33m"
TERMCOLORS_LBLUE="\033[1;34m"
TERMCOLORS_LMAGENTA="\033[1;35m"
TERMCOLORS_LCYAN="\033[1;36m"
TERMCOLORS_LWHITE="\033[1;37m"
TERMCOLORS_NONE="\033[1;0m"


#shellcheck disable=SC2059,SC1087
_termcolors__test() {
    printf "TERMCOLORS_BLACK:    $TERMCOLORS_BLACK[abc123]$TERMCOLORS_NONE    TERMCOLORS_LBLACK:    $TERMCOLORS_LBLACK[abc123]$TERMCOLORS_NONE\n"
    printf "TERMCOLORS_RED:      $TERMCOLORS_RED[abc123]$TERMCOLORS_NONE    TERMCOLORS_LRED:      $TERMCOLORS_LRED[abc123]$TERMCOLORS_NONE\n"
    printf "TERMCOLORS_YELLOW:   $TERMCOLORS_YELLOW[abc123]$TERMCOLORS_NONE    TERMCOLORS_LYELLOW:   $TERMCOLORS_LYELLOW[abc123]$TERMCOLORS_NONE\n"
    printf "TERMCOLORS_GREEN:    $TERMCOLORS_GREEN[abc123]$TERMCOLORS_NONE    TERMCOLORS_LGREEN:    $TERMCOLORS_LGREEN[abc123]$TERMCOLORS_NONE\n"
    printf "TERMCOLORS_CYAN:     $TERMCOLORS_CYAN[abc123]$TERMCOLORS_NONE    TERMCOLORS_LCYAN:     $TERMCOLORS_LCYAN[abc123]$TERMCOLORS_NONE\n"
    printf "TERMCOLORS_BLUE:     $TERMCOLORS_BLUE[abc123]$TERMCOLORS_NONE    TERMCOLORS_LBLUE:     $TERMCOLORS_LBLUE[abc123]$TERMCOLORS_NONE\n"
    printf "TERMCOLORS_MAGENTA:  $TERMCOLORS_MAGENTA[abc123]$TERMCOLORS_NONE    TERMCOLORS_LMAGENTA:  $TERMCOLORS_LMAGENTA[abc123]$TERMCOLORS_NONE\n"
    printf "TERMCOLORS_WHITE:    $TERMCOLORS_WHITE[abc123]$TERMCOLORS_NONE    TERMCOLORS_LWHITE:    $TERMCOLORS_LWHITE[abc123]$TERMCOLORS_NONE\n"
}
